> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Shipping Address

GET https://api.bigcommerce.com/stores/{store_hash}/v2/orders/{order_id}/shipping_addresses/{id}

Gets a shipping address associated with an order.

Returned in the response is shipping_quotes object. Please use the Get Shipping Quotes Endpoint. Using the response will return a 204 for the shipping quote.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/orders/order-shipping-addresses/get-order-shipping-address

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `order_id` (integer, required) — ID of the order.
- `id` (string, required) — Shipping address ID.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

The requested order shipping address.

- `base_cost` (string, optional) — The base value of the order’s items. (Float, Float-As-String, Integer)
- `base_handling_cost` (string, optional) — The base handling charge. The value can't be negative. (Float, Float-As-String, Integer)
- `city` (string, optional)
- `company` (string, optional)
- `cost_ex_tax` (string, optional) — The value of the order’s items, excluding tax. (Float, Float-As-String, Integer)
- `cost_inc_tax` (string, optional) — The value of the order’s items, including tax. (Float, Float-As-String, Integer)
- `cost_tax` (string, optional) — The tax amount on the order. (Float, Float-As-String, Integer)
- `cost_tax_class_id` (integer, optional) — The ID of the tax class applied to the product. (NOTE: Value ignored if automatic tax is enabled.)
- `country` (string, optional)
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for the country.
- `email` (string, optional) — Recipient’s email address.
- `first_name` (string, optional)
- `form_fields` (list of formFields, optional)
- `handling_cost_ex_tax` (string, optional) — The handling charge, excluding tax. The value can't be negative. (Float, Float-As-String, Integer)
- `handling_cost_inc_tax` (string, optional) — The handling charge, including tax. The value can't be negative. (Float, Float-As-String, Integer)
- `handling_cost_tax` (string, optional)
- `handling_cost_tax_class_id` (integer, optional) — A read-only value. Do not attempt to set or modify this value in a POST or PUT operation. (NOTE: Value ignored if automatic tax is enabled on the store.)
- `id` (integer, optional) — ID of this shipping address.
- `items_shipped` (double, optional) — The number of items that have been shipped.
- `items_total` (double, optional) — The total number of items in the order.
- `last_name` (string, optional)
- `order_id` (integer, optional) — ID of the order.
- `phone` (string, optional) — Recipient’s telephone number.
- `shipping_method` (string, optional) — Text code identifying the BigCommerce shipping module selected by the customer.
- `shipping_quotes` (shippingQuotes_Resource, optional)
- `shipping_zone_id` (double, optional) — Numeric ID of the shipping zone.
- `shipping_zone_name` (string, optional) — Name of the shipping zone.
- `state` (string, optional)
- `street_1` (string, optional) — Street address (first line).
- `street_2` (string, optional) — Street address (second line).
- `zip` (string, optional) — Zip or postal code, as a string.

## Types

### formFields

- `name` (string, optional) — The form field name.
- `value` (FormFieldsValue, optional) — The form field value.

### shippingQuotes_Resource

- `url` (string, optional) — This URL will return a 204 for shipping quotes. To return shipping quotes: `/shipping_addresses/shipping_address_id/shipping_quotes`
- `resource` (string, optional) — This URL will return a 204 for shipping quotes. To return shipping quotes: `/shipping_addresses/shipping_address_id/shipping_quotes`

### FormFieldsValue

The form field value.

## Examples

**Response**

```json
{
  "base_cost": "5.0000",
  "base_handling_cost": "0.0000",
  "city": "Austin",
  "company": "",
  "cost_ex_tax": "4.0000",
  "cost_inc_tax": "4.3200",
  "cost_tax": "0.3200",
  "cost_tax_class_id": 2,
  "country": "United States",
  "country_iso2": "US",
  "email": "jane@example.com",
  "first_name": "Jane",
  "form_fields": [
    {
      "name": "Wholesale ID",
      "value": "12345566"
    }
  ],
  "handling_cost_ex_tax": "0.0000",
  "handling_cost_inc_tax": "0.0000",
  "handling_cost_tax": "0.0000",
  "handling_cost_tax_class_id": 2,
  "id": 42,
  "items_shipped": 0,
  "items_total": 2,
  "last_name": "Doe",
  "order_id": 140,
  "phone": "1234567890",
  "shipping_method": "Fixed Shipping",
  "shipping_quotes": {
    "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/orders/140/shippingaddresses/42/shippingquotes",
    "resource": "/orders/140/shippingaddresses/42/shippingquotes"
  },
  "shipping_zone_id": 1,
  "shipping_zone_name": "United States",
  "state": "Texas",
  "street_1": "123 MainStreet",
  "street_2": "",
  "zip": "78751"
}
```

**SDK Code**

```python response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```